WinDom: data.c File Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

# data.c File Reference

`#include <stddef.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include "globals.h"`

## Data Structures
struct | _dentry
## Typedefs
typedef _dentry | DENTRY
## Functions
void * | mt_DataSearch (APPvar *app, WINDOW *win, long magic)
| Search data linked into a window or application.
void * | mt_CompDataSearch (APPvar *app, COMPONENT *c, long magic)
| Component magic value data search.
int | mt_DataAttach (APPvar *app, WINDOW *win, long magic, void *data)
| Insert a data into a window or into the application.
int | mt_CompDataAttach (APPvar *app, COMPONENT *c, long magic, void *data)
| Insert data into the component data list.
int | mt_DataDelete (APPvar *app, WINDOW *win, long magic)
| Remove a data linked into a window or into the application.
int | mt_CompDataDelete (APPvar *app, COMPONENT *c, long magic)
| Remove a data linked into a component.
void | mt_DataClear (APPvar *app, WINDOW *win)
| Remove all the window data list items.
void | mt_CompDataClear (APPvar *app, COMPONENT *c)
| Remove all the component data list items.
void | mt_DataTrace (APPvar *app, WINDOW *win)
void | mt_CompDataTrace (APPvar *app, COMPONENT *c)

## Typedef Documentation

typedef struct _dentry DENTRY

## Function Documentation

void mt_CompDataClear | ( | APPvar * | app,
|  | COMPONENT * | c
| ) |

  | Remove all the component data list items. Parameters:
  | app | application descriptor,
  | c | component descriptor.
See also: mt_DataDelete().

void mt_CompDataTrace | ( | APPvar * | app,
|  | COMPONENT * | c
| ) |

void mt_DataClear | ( | APPvar * | app,
|  | WINDOW * | win
| ) |

  | Remove all the window data list items. Parameters:
  | app | application descriptor,
  | win | window descriptor or NULL for application data list.
Used by destroy callback function to release memory. See also: mt_DataDelete().

void mt_DataTrace | ( | APPvar * | app,
|  | WINDOW * | win
| ) |